org.apache.maven.scm.command.changelog

## Class AbstractChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

- All Implemented Interfaces:
    ChangeLogCommand, Command
  Direct Known Subclasses:
    AbstractCvsChangeLogCommand, BazaarChangeLogCommand, ClearCaseChangeLogCommand, GitChangeLogCommand, HgChangeLogCommand, LocalChangeLogCommand, PerforceChangeLogCommand, StarteamChangeLogCommand, SvnChangeLogCommand, SynergyChangeLogCommand, TfsChangeLogCommand

      public abstract class AbstractChangeLogCommand
      extends AbstractCommand
      implements ChangeLogCommand

  Version:
    $Id: AbstractChangeLogCommand.java 755730 2009-03-18 20:56:21Z olamy $
  Author:
    Trygve Laugstøl

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractChangeLogCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract ChangeLogScmResult` | `executeChangeLogCommand(ScmProviderRepository repository, ScmFileSet fileSet, Date startDate, Date endDate, ScmBranch branch, String datePattern)`
    `protected ChangeLogScmResult` | `executeChangeLogCommand(ScmProviderRepository repository, ScmFileSet fileSet, ScmVersion startVersion, ScmVersion endVersion, String datePattern)`
    `ScmResult` | `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractChangeLogCommand

          public AbstractChangeLogCommand()

  - ### Method Detail

    - #### executeChangeLogCommand

          protected abstract ChangeLogScmResult executeChangeLogCommand(ScmProviderRepository repository,
                                                   ScmFileSet fileSet,
                                                   Date startDate,
                                                   Date endDate,
                                                   ScmBranch branch,
                                                   String datePattern)
                                                                 throws ScmException

      Throws:
        `ScmException`

    - #### executeChangeLogCommand

          protected ChangeLogScmResult executeChangeLogCommand(ScmProviderRepository repository,
                                                   ScmFileSet fileSet,
                                                   ScmVersion startVersion,
                                                   ScmVersion endVersion,
                                                   String datePattern)
                                                        throws ScmException

      Throws:
        `ScmException`

    - #### executeCommand

          public ScmResult executeCommand(ScmProviderRepository repository,
                                 ScmFileSet fileSet,
                                 CommandParameters parameters)
                                   throws ScmException

      Specified by:
        `executeCommand` in interface `ChangeLogCommand`
      Specified by:
        `executeCommand` in class `AbstractCommand`
      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.